      
C %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   KKT11 and KKT11C PDF Grid 	 %%%%%%%%%%%%%%%%%%%%%%%%

C     Parton Distribution Functions from QCD Analysis of HERA Combined Inclusive e� p Scattering Cross Section Data

C                  Few-Body Systems, 52, 279-284 (2012), [DOI:10.1007/s00601-011-0293-y].

C                                     H. Khanpour (Hamzeh.Khanpour@nit.ac.ir),
C                        Ali N. Khorramian (Khorramiana@theory.ipm.ac.ir), S. Atashbar Tehrani (Atashbar@ipm.ir)
*                                                                   
*********************************************************************
*

      IMPLICIT REAL*8 (A-H,O-Z)
      DATA XMIN,XMAX/ 1.0E-5,0.99999999D0/
      	
*
*     choose order of parton sets
*

C      ISET = 1                  ! KKT11 NLO parton set
      ISET = 2                  ! KKT11C NLO parton set

      NX = 10

*

C      BJORKEN-X AND Q**2 VALUES

      Q2 = 10.0D0

      XLSTEP=(DLOG10(XMAX)-DLOG10(XMIN))/DFLOAT(NX)

      WRITE(6,10)
   10 Format(3x,'x',9x,'Q2',6x,'xuv',6x,'xdv',5x,'xubar',4x,'xdbar',4x,
     1'xsbar',4x,'xgl')

      DO  100 I=1,NX+1
        DLOGX=DFLOAT(I-1)*XLSTEP+DLOG10(XMIN)
        X = 10.D0**(DLOGX)
*
      CALL unpolinfo (ISET, X, Q2, xuv, xdv, xubar, xdbar, xsbar, 
     1                      xgl, F2p, F2c, F2b, F2N, F2D, FL, xF3 )
*

      WRITE(6,11) x, Q2, xuv, xdv, xubar, xsbar, xsbar, xgl
  11  FORMAT(1x,f8.6,1x,f6.1,6(1x,f8.5) )
 100  CONTINUE
      WRITE(6,12)
  12  FORMAT(3x,'x',9x,'Q2',5x,'F2p',7x,'F2c',5x,'F2b',7x,'F2N',5x,
     1'F2D',7x,'FL',7x,'xF3')

      DO  200 I=1,NX+1
	        DLOGX=DFLOAT(I-1)*XLSTEP+DLOG10(XMIN)
              X = 10.D0**(DLOGX)
*
      CALL unpolinfo (ISET, X, Q2, xuv, xdv, xubar, xdbar, xsbar, 
     1                      xgl, F2p, F2c, F2b, F2N, F2D, FL, xF3 )
*
    
      WRITE(6,13) X, Q2, F2p, F2c, F2b, F2N, F2D, FL, xF3
      
  13  FORMAT(1x,f8.6,1x,f6.1,7(1x,f8.5) )
 200  CONTINUE
 
      END


*
* =================================================================================
*
